Subject: bug#58558: 29.0.50; re-search-forward is slow in some buffers

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Apr 2023 19:25:14 -0400

>> I suspect that the patch below might fix the immediate problem.
>> Of course, setting `parse-sexp-lookup-properties` should not have such
>> a major performance impact, so maybe we should keep digging into
>> the problem.
>
> Thanks!  That's a nasty little bug for somebody who hasn't seen it
> before.  I don't the Elisp manual is all that explicit about what
> happens in such cases.

According to my reading of the manual, it does explain what happens, but
maybe it should more specifically warn about this kind of interaction.

> Just as a matter of interest, have you searched cc-defs.el for any other
> places the same bug might occur?  If not, I will.

No, among other things because I don't know a good regexp that can help
me look for it.

        Stefan